Package com.xebialabs.xlrelease.serialization.json.jackson

# Class DomainIdsDeserializer

java.lang.Object
tools.jackson.databind.ValueDeserializer<List<String>>
com.xebialabs.xlrelease.serialization.json.jackson.DomainIdsDeserializer

All Implemented Interfaces:
  `DomainIdSerialization`, `tools.jackson.databind.deser.NullValueProvider`

public class DomainIdsDeserializer extends tools.jackson.databind.ValueDeserializer<List<String>> implements DomainIdSerialization

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class tools.jackson.databind.ValueDeserializer

  `tools.jackson.databind.ValueDeserializer.None`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DomainIdsDeserializer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `deserialize(tools.jackson.core.JsonParser jsonParser, tools.jackson.databind.DeserializationContext ctxt)`

  ### Methods inherited from class tools.jackson.databind.ValueDeserializer

  `createContextual, deserialize, deserializeWithType, deserializeWithType, findBackReference, getAbsentValue, getDelegatee, getEmptyAccessPattern, getEmptyValue, getKnownPropertyNames, getNullAccessPattern, getNullValue, getObjectIdReader, handledType, isCachable, logicalType, replaceDelegatee, resolve, supportsUpdate, unwrappingDeserializer`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.xebialabs.xlrelease.serialization.json.jackson.DomainIdSerialization

  `toInternalId, toViewId`

- ## Constructor Details

  - ### DomainIdsDeserializer

    public DomainIdsDeserializer()

- ## Method Details

  - ### deserialize

    public List<String> deserialize(tools.jackson.core.JsonParser jsonParser, tools.jackson.databind.DeserializationContext ctxt)
    Specified by:
      `deserialize` in class `tools.jackson.databind.ValueDeserializer<List<String>>`